Bug 634499 - [te_IN] character appear half in some text box with firefox/thunderbird
[te_IN] character appear half in some text box with firefox/thunderbird
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
21
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-16 03:23 EDT by Krishna Babu K
Modified: 2015-11-10 00:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 638867 (view as bug list)
Environment:
Last Closed: 2015-11-10 00:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of a problem (14.71 KB, image/png)
2012-03-28 07:01 EDT, Jan Horak
no flags Details
reference for comment 4 (57.67 KB, image/png)
2012-03-29 03:37 EDT, Krishna Babu K
no flags Details
reference for comment 4 (45.50 KB, image/png)
2012-03-29 03:38 EDT, Krishna Babu K
no flags Details
screen shot of problem with firefox-22.0-1.fc17.x86_64 (55.88 KB, image/png)
2013-07-04 05:16 EDT, Krishna Babu K
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 600811 None None None Never
Moblin Bugzilla 1129820 None None None Never

  None (edit)
Description Krishna Babu K 2010-09-16 03:23:04 EDT
Description of problem:

most of Telugu characters appear half in some text box with
firefox/thunderbird

Version-Release number of selected component (if applicable):
lohit-telugu-fonts-2.4.5-5.fc14.noarch
firefox-3.6.7-1.fc14.i686
thunderbird-3.1.3-1.fc14.i686


How reproducible:

100%
Steps to Reproduce:
1. run firefox 
2. type telugu (te_IN) with ibus or copy paste text (జకగ,క్కస్కకష్ట) in search box
3. type English character, then type (C&P) telugu text

  
Actual results:

Check Size change with telugu character input, they appear just half 

Expected results:

should proper zie 

Additional info:
Comment 1 Krishna Babu K 2012-03-14 07:10:53 EDT
Problem exists in fedora 17! Checked against pango-1.29.5-2.fc17.x86_64, lohit-telugu-fonts-2.5.0-2.fc17.noarch, firefox-10.0.1-1.fc17.x86_64
Comment 2 Jan Horak 2012-03-28 07:01:31 EDT
Created attachment 573306 [details]
Screenshot of a problem

See attachment, is this a demonstration of problem?
Comment 3 Krishna Babu K 2012-03-28 07:10:08 EDT
Yes, all below base part is missing for conjuncts in search box provided in attachment.

Thanks,
Krishna.
Comment 4 Pravin Satpute 2012-03-29 03:24:22 EDT
Lohit Telugu font has more ascent/decent than normal Latin script fonts. So text box should get scale according to fonts ascent/descent values.

Labels are scaled properly as per fonts ascent/descent even in firefox.
Comment 5 Krishna Babu K 2012-03-29 03:37:21 EDT
Created attachment 573557 [details]
reference for comment 4

Firefox in telugu locale.
Comment 6 Krishna Babu K 2012-03-29 03:38:12 EDT
Created attachment 573558 [details]
reference for comment 4

Firefox in english locale.
Comment 7 Fedora End Of Life 2013-07-04 01:29:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Krishna Babu K 2013-07-04 05:16:47 EDT
Created attachment 768677 [details]
screen shot of problem with firefox-22.0-1.fc17.x86_64

Hi praveen,

Here i am attaching screen shot of firefox-22.0-1.fc17.x86_64 with telugu input in search box. Still conjunct character's gsub position is not appearing fully!

Thanks,
Krishna.
Comment 9 Pravin Satpute 2013-07-04 07:03:02 EDT
Still issue present improvement possible. No action yet on upstream as well. Let it open for some more time.

Moving to Fedora 19.
Comment 10 Fedora End Of Life 2015-01-09 11:21:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Pravin Satpute 2015-01-14 05:01:14 EST
Issue still exists in Fedora 21. firefox-34.0-1.fc21.x86_64

Moving.
Comment 12 Fedora End Of Life 2015-11-04 08:47:13 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Pravin Satpute 2015-11-10 00:10:57 EST
We discussed this in last Mozilla hackathon. 

* Observation was if we login in respect locale Search bar get scaled properly but in default locale it used to be same size. 

* Increasing size on the fly with Font is not expected behaviour for FF.

* Keeping size large all the time is injustice with other script users.

I would like to close this bug presently with comment.

Please use your language locale for this.

Note You need to log in before you can comment on or make changes to this bug.